export default function generatePackageJson({ name, port, ...options }: {
    name: string;
    port: number;
    [key: string]: string | number | boolean;
}): Promise<{
    name: string;
    version: string;
    private: boolean;
    scripts: {
        build: string;
        test: string;
        eject: string;
        "gql:codegen"?: string | undefined;
        "gql:operations"?: string | undefined;
        gql?: string | undefined;
        start: string;
        "start:app": string;
        "start:server": string;
    };
    eslintConfig: {
        extends: string[];
    };
    browserslist: {
        production: string[];
        development: string[];
    };
    dependencies: any;
    devDependencies: any;
}>;
//# sourceMappingURL=generatePackageJson.d.ts.map